Unit taeh3z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH3Z_p;

function taeh3z: String;

implementation

function taeh3z: String;
var
J,I,N,MM,M,IERR :Integer;
RLB,RUB :Extended;
VR :Array [0..11] of Extended;
VI :Array [0..11] of Extended;
EV :Array [0..2] of Extended;
IRAB1 :Array [0..2] of Integer;
RAB1 :Array [0..7] of Extended;
RAB2 :Array [0..31] of Extended;
const
AR :Array [0..15] of Extended = ( 1.0e0,0.42e0,0.54e0,0.66e0,0.42e0,1.0e0,0.32e0,
0.44e0,0.54e0,0.32e0,1.0e0,0.22e0,0.66e0,0.44e0,
0.22e0,1.0e0 );
AI :Array [0..15] of Extended = ( 0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,
0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0 );
begin
Result := '';  {   }
Result := Result + Format('%s',
 [' BCEHE HEKOTOPX COCTBEHHX HAEH  COOTBETCTBYX COCTBEHHX' + #$0D#$0A +
 ' BEKTOPOB KOMEKCHO PMTOBO MATP,    ']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
MM := 3;
RLB := 0.e0;
RUB := 1.e0;
AEH3Z(N,AR,AI,VR,VI,EV,RLB,RUB,MM,M,IRAB1,RAB1,RAB2,IERR);
Result := Result + Format('%s',[' PEYTAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EV' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f ',[EV[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' VR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f ',[VR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' VI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f ',[VI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeh3z',Result);  {     taeh3z.res }
exit;
end;

end.
